#ifndef VENTANAI_H
#define VENTANAI_H

#include <qwidget.h>
#include <ventana.h>
#include <qprocess.h>


/**
  *@author ingenio
  */

class ventanai : public ventana  {
   Q_OBJECT
public: 
	ventanai(QWidget *parent=0, const char *name=0);
	~ventanai();

private slots:
  virtual void ejecutar();
  virtual void cambiaseleccion();
  virtual void ftodos(bool);
  virtual void ffuncionan(bool);
  virtual void fnofuncionan( bool );
  virtual void fromsmal( bool );
  virtual void fneogeo( bool );
  virtual void recargalista();
  virtual void cbuscarroms();
  virtual void cverificarroms();
  virtual void confxmame();
  virtual void cgenerarlistado();
  virtual void vista_activated( const QString & );
  virtual void info_toggled( bool );
  virtual void acercade();
  virtual void Contraer_activated();
  virtual void Expandir_activated();
  virtual void Cps1_toggled( bool );
  virtual void Cps2_toggled( bool );
  virtual void Jugados_toggled( bool );
  virtual void fontListado_activated();
  virtual void fontConfig_activated();
  virtual void fontInfo_activated();
  virtual void cListado_activated();
  virtual void fImagen_activated();
  virtual void fColor_activated();
      
  void leerexitverificar();
  void leerexit();
  void exitlf();
  void exitlg();
  void exitlcl();
  void exitlrs();
  void exitlsf();
  void ajustarcolumnas();
  void guardarAnchoColumnas();
  void generarlistado();

private:
  QProcess *proc;
  QLabel *lcargando;

};


#endif
